Index: trunk/test/testcompile.sh
===================================================================
--- trunk/test/testcompile.sh	(revision 68)
+++ trunk/test/testcompile.sh	(revision 75)
@@ -20,5 +20,5 @@
 #
 
-MAXTEST=63; export MAXTEST
+MAXTEST=65; export MAXTEST
 
 run_flawfinder ()
@@ -164,5 +164,5 @@
 	# test standalone compilation
 	#
-        TEST="${S}standalone w/suidcheck w/processcheck${E}"
+        TEST="${S}standalone w/suidcheck w/procchk${E}"
 	#
 	if test -r "Makefile"; then
@@ -180,5 +180,5 @@
 	# test standalone compilation
 	#
-        TEST="${S}standalone w/processcheck w/portcheck${E}"
+        TEST="${S}standalone w/procchk w/portchk${E}"
 	#
 	if test -r "Makefile"; then
@@ -187,4 +187,20 @@
 	#
 	${TOP_SRCDIR}/configure --quiet  --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test  --enable-process-check --enable-port-check > /dev/null 2>> test_log
+	#
+	let "num = num + 1" >/dev/null
+	testmake $? $num || let "numfail = numfail + 1"  >/dev/null
+	let "num = num + 1" >/dev/null
+	run_smatch $? $num || let "numfail = numfail + 1"  >/dev/null
+
+	#
+	# test standalone compilation
+	#
+        TEST="${S}standalone w/procchk w/portchk w/stealth${E}"
+	#
+	if test -r "Makefile"; then
+		$MAKE distclean 
+	fi
+	#
+	${TOP_SRCDIR}/configure --quiet  --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test  --enable-stealth=164 --enable-process-check --enable-port-check > /dev/null 2>> test_log
 	#
 	let "num = num + 1" >/dev/null
